### A simple Markdown dynamic document

Markdown is simple enough.

This is a typical paragraph. All it requires is some typing. Nothing fancy.
Paragraphs are separated by blank lines.

Lists are also simple, as you can start the entries with a `*` or a `-`:

* Left quotes turn what is inside into `code` (i.e. a fixed-width font).
* Putting an underscore (`_`) or asterisk (`*`) on either side of text yields _emphasis_.
* Two underscores or asterisks are for **bold**.
* Headings from level 1 to 6 start with `#`  through `######` plus a space.
    * You can also use ASCII underlining with three or more equals (`===`) for a level-one header and three or more dashes (`---`) for a level-two header.
        * I like the `#`'s better...
	* Sublists get indented with 4 spaces or 1 tab character for each level.

The nice part, though is including Stata commands and output. Four tildes let Markdown know that code is coming...

~~~~
<<dd_do>>
clear
sysuse auto
set dp comma // for Brazil
summarize
<</dd_do>>
~~~~

By default, you see both the commands and the results. If you wanted just the results, you could use the `nocommands` attribute for `<<dd_do>>`:

~~~~
<<dd_do: nocommands>>
summarize price
<</dd_do>>
~~~~

You can put results from Stata into the running text. For instance, the mean price of the cars in the 1978 dataset is US$<<dd_display: %5.0fc r(mean)>> (rounded to the nearest dollar).

You can also include graphs. First, create the graph.

~~~~
<<dd_do>>
graph matrix mpg weight length gear_ratio
<</dd_do>>
~~~~

Now bring the graph into the document. Saving the graph as a _Scalable Vector Graphics_ (`svg`) image will make it look nice at all resolutions.

<<dd_graph:  saving(gpmatrix.svg) height(400) replace>>

The `height()` option to control the height using pixels as the units.

Take a look at `help dyndoc` and `help dynamic tags` for help with document options and Stata-specific tags.

Take a look at  [Daring Fireball](https://daringfireball.net/projects/markdown/syntax#code) for help with Markdown.

