*! version 1.0.0 December 8, 2017 @ 02:49:21
*! Creates an example docx document 
version 15.0
set more off 

set dp comma // for Brazil
** some useful definitions
local code font("Courier New",,"0000aa")

** making sure a new document can be opened
capture putdocx clear

** starting the new document
putdocx begin

putdocx paragraph, style(Heading2)
putdocx text ("A simple putdocx document")

putdocx paragraph
putdocx text ("For ")
putdocx text ("putdocx"), `code'
putdocx text (", the body of the document is in a series of ")
putdocx text ("putdocx paragraph"), `code'
putdocx text (" and ")
putdocx text ("putdocx text"), `code'
putdocx text (" commands.")

putdocx paragraph
putdocx text ("This is a typical paragraph. Any change to font type requires a new ")
putdocx text ("putdocx text"), `code'
putdocx text (" command to set the font. Thus, if you want ")
putdocx text ("emphasis"), italic
putdocx text (", then you need a separate command using the ")
putdocx text ("italic"), `code'
putdocx text (" option. Similarly, ")
putdocx text ("bold"), bold
putdocx text (" requires the ")
putdocx text ("bold"), `code'
putdocx text (" option. Including ")
putdocx text ("code"), `code'
putdocx text (" can be made easier by having a local macro to define the way that you'd like code to look.")

putdocx paragraph
putdocx text ("putdocx"), `code'
putdocx text (" is meant for writing papers. It is good for including results and tables, but is not made for including Stata code and literal Stata output. Because the document itself is contained in ")
putdocx text ("putdocx"), `code'
putdocx text (" commands, Stata commands need nothing special to be used.")

putdocx paragraph
putdocx text ("What will now happen (behind the scenes) is that the ")
putdocx text ("auto"), `code'
putdocx text (" dataset will be opened, some summary statistics will get computed using ")
putdocx text ("tabstat"), `code'
putdocx text (" and then a graph will be created and included.")

clear
sysuse auto

tabstat price mpg weight displacement, ///
   statistics( count mean sd min p25 p50 p75 max ) ///
   save

** needed because putdocx has trouble with the transpose and names
matrix Stats = r(StatTotal)'

putdocx paragraph
putdocx text ("Here is some interesting information about 1978 automobiles:")

putdocx table tabstat1 = matrix(Stats), rownames colnames

** this could be done with matrices, but it's conceptually easier to use -summarize-
summarize price
local meanPrice : display %5.0fc r(mean)

putdocx paragraph
putdocx text ("Note that the mean price was US$`meanPrice' (rounded to the nearest dollar).")

graph matrix mpg weight length gear_ratio
graph export gpmatrix_docx.png, replace

putdocx paragraph
putdocx text ("Here is a graph, with the size specified in a typical unit:")

putdocx paragraph, halign(center)
putdocx image gpmatrix_docx.png, height(8cm)

putdocx paragraph
putdocx text ("Take a look at ")
putdocx text ("help putdocx"), `code'
putdocx text (" for the full story.")

putdocx save "putdocx_ex", replace
